<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:td="http://utc.fr/nf29/td"
    xmlns="http://www.w3.org/1999/xhtml"
    exclude-result-prefixes="td"
    version="1.0">

<xsl:output method="html" encoding="UTF-8"/>

<xsl:template match="/">
    <html>
        <head>
            <title><xsl:value-of select="./td:diapoTexte/td:titre"/></title>            
        </head>
        <body>
            <xsl:apply-templates select="./td:diapoTexte"/>
        </body>        
    </html>    
</xsl:template>

<xsl:template match="td:diapoTexte">
    <h1><xsl:value-of select="./td:titre"/></h1>
    <xsl:apply-templates select="./td:contenu/td:liste"/>
    <h2>Conclusion</h2>
    <xsl:apply-templates select="./td:conclusion/td:paragraphe"/>    
</xsl:template>

<xsl:template match="td:liste">
    <ul><xsl:apply-templates/></ul>    
</xsl:template>
    
<xsl:template match="td:item">
    <li><xsl:apply-templates/></li>    
</xsl:template>    

<xsl:template match="td:paragraphe">
    <p><xsl:apply-templates/></p>
</xsl:template>
    
<xsl:template match="td:important">
    <b><xsl:value-of select="."/></b>
</xsl:template>
    

</xsl:stylesheet>
