<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:td="http://utc.fr/nf29/td"
    xmlns="http://www.w3.org/1999/xhtml"
    exclude-result-prefixes="td"
    version="1.0">

<xsl:output method="html" encoding="UTF-8"/>

<xsl:template match="/">
    <html>
        <head>
            <title><xsl:value-of select="./td:diaporama/td:titre"/> : <xsl:value-of select="./td:diaporama/td:sousTitre"/> </title>           
        </head>
        <body>
            <xsl:apply-templates select="./td:diaporama"/>
        </body>        
    </html>    
</xsl:template>

<xsl:template match="td:diaporama">
    <h1><xsl:value-of select="./td:titre"/></h1>
    <h1><i><xsl:value-of select="./td:sousTitre"/></i></h1>    
    <xsl:apply-templates select="./td:diaporamaMeta"/>
    <hr/>
    <h2>Table des matières</h2>
    <xsl:for-each select="document(./td:refPartie)/td:partie">
        <p><a href="#{generate-id(.)}"><xsl:value-of select="./td:titre"/></a></p>
        <xsl:for-each select="document(./td:refDiapo)/*">
            <li><a href="#{generate-id(.)}"><xsl:value-of select="./td:titre"/></a></li>            
        </xsl:for-each>    
    </xsl:for-each>
    <hr/>
    <xsl:apply-templates select="document(./td:refPartie)/td:partie"/>
</xsl:template>

<xsl:template match="td:diaporamaMeta">
    <p><b><xsl:value-of select="./td:uv"/>, <xsl:value-of select="./td:date"/></b></p>
    <p><xsl:value-of select="./td:reference/td:auteur"/>, "<xsl:value-of select="./td:reference/td:titre"/>", <xsl:value-of select="./td:reference/td:editeur"/>, <xsl:value-of select="./td:reference/td:annee"/>.</p>    
</xsl:template>

<xsl:template match="td:partie">
    <h2 id="{generate-id(.)}"><xsl:value-of select="./td:titre"/></h2>
    <i><xsl:value-of select="./td:sousTitre"/></i>       
    <xsl:apply-templates select="document(./td:refDiapo)/*"/>
</xsl:template>

<xsl:template match="td:diapoImage">
    <h3 id="{generate-id(.)}"><xsl:value-of select="./td:titre"/></h3>
    <img src="{./td:contenu/td:image/td:source}"/>
</xsl:template>

<xsl:template match="td:diapoTexte">
    <h3 id="{generate-id(.)}"><xsl:value-of select="./td:titre"/></h3>
    <xsl:apply-templates select="./td:contenu/td:liste"/>
    <h4>Conclusion</h4>
    <xsl:apply-templates select="./td:conclusion/td:paragraphe"/>    
</xsl:template>

<xsl:template match="td:liste">
    <ul><xsl:apply-templates/></ul>    
</xsl:template>
    
<xsl:template match="td:item">
    <li><xsl:apply-templates/></li>    
</xsl:template>    

<xsl:template match="td:paragraphe">
    <p><xsl:apply-templates/></p>
</xsl:template>
    
<xsl:template match="td:important">
    <b><xsl:value-of select="."/></b>
</xsl:template>    

</xsl:stylesheet>
